using Application.Aggregates.Products;
using Application.Aggregates.Products.ViewModels;
using Application.Aggregates.Stores;
using Application.Aggregates.Stores.ViewModels;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace Server.Pages.Panel.Products
{
    public class IndexModel(ProductsApplication productsApplication) : PageModel
    {
        public List<ProductViewModel> product { get; set; } = new();

        public async Task OnGetAsync()
        {
            product = await productsApplication.GetStors();
        }
    }

}
